﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcApplication1.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            /* Getting the path of the uploaded video files. */

            string[] paths = System.IO.Directory.GetFiles(Server.MapPath("~/Uploads"));
            for(int i = 0; i <  paths.Length; i++)
            {

                paths[i] = "~/Uploads/" + System.IO.Path.GetFileName(paths[i]);
                
            }
           
            ViewData["videoSources"] = paths;
            
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public PartialViewResult Video(string clip)
        {
            string[] paths = new string[1] ;
            if (System.IO.File.Exists(Server.MapPath("~/Uploads/") + clip)) 
            { 
                paths[0] = "~/Uploads/" + clip; 
            }

            ViewData["videoSources"] = paths;
           return PartialView();
        }
    }
}
